/*
 *  Copyright (C) 2015  Thadeu Lima de Souza Cascardo <cascardo@cascardo.eti.br>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#ifndef _PAGAMENTO_H
#define _PAGAMENTO_H

#include <stdio.h>
#include "declaracao.h"

struct pagamento {
	int codigo;
	char *cnpj;
	char *nome;
	long long pagamento;
	long long reembolso;
};

void pagamento_salva(struct declaracao *dec, FILE *f);
void pagamento_free(void *pointer);

int pagamento_cmd_init(void);

char * pagamento_cnpj_ordenado(struct declaracao *dec, int codigo, int n);

#endif
